%define name pessulus
%define version 2.16.2
%define release %mkrel 1

Summary: Desktop lockdown editor for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/~vuntz/pessulus/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: pygtk2.0-devel 
BuildRequires: gnome-python
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires: gnome-python gnome-python-gconf pygtk2.0-libglade

%description 
pessulus is a lockdown editor for GNOME, written in python.  pessulus
enables administrators to set mandatory settings in GConf. The users
can not change these settings.

Use of pessulus can be useful on computers that are open to use by
everyone, e.g. in an internet cafe.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#gw wrong python dir
%if %_lib != lib
mv %buildroot%_libdir %buildroot%_prefix/lib
%endif
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%name" \
	needs="gnome" \
	section="System/Configuration/GNOME/Advanced" \
	title="Lockdown Editor" \
	startup_notify="true" \
	icon="stock_lock" \
	longtitle="Configure the lockdown policy" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
%update_menus
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog HACKING NEWS MAINTAINERS README TODO
%_bindir/%name
%_datadir/%name/
%_datadir/applications/%name.desktop
%py_puresitedir/Pessulus/
%_menudir/%name


%changelog
* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
+ Revision: 99161
- fix build on x86_64
- new version

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.1
+ Revision: 63738
- rebuild
- Import pessulus



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2007.0
- xdg menu
- New release 0.10.4

* Tue Apr 25 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- New release 0.10.1

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 0.8-1mdk
- New release 0.8

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdk
- fix deps

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 0.7-3mdk
- fix buildrequires

* Fri Feb 17 2006 Götz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix deps

* Fri Feb 17 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdk
- initial package
